%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-burrito
Version:        0.2.12
Release:        %mkrel 5
Summary:        Wrap up expressions with a trace function while walking the AST

Group:          System/Libraries
#no license file included, "BSD" indicated in package.json
License:        BSD
URL:            https://github.com/substack/node-burrito
Source0:        http://registry.npmjs.org/burrito/-/burrito-%{version}.tgz
#to satisfy the BSD requirement that the text of the license be included, we
#include this copy of the 3-clause BSD as used in one of the author's projects.
Source1:        https://raw.github.com/substack/lambdascape/master/LICENSE

BuildArch:      noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
Burrito makes it easy to do crazy stuff with the JavaScript AST.

This is useful if you want to roll your own stack traces or build a code
coverage tool.


%prep
%setup -q -n package

%nodejs_fixdep uglify-js '~1.3.4'
%nodejs_fixdep traverse '~0.6.3'

cp -p %{SOURCE1} LICENSE


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/burrito
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/burrito

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{nodejs_sitelib}/burrito
%doc README.markdown example LICENSE




%changelog
* Tue May 05 2020 joequant <joequant> 0.2.12-5.mga8
+ Revision: 1580482
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.2.12-4.mga8
+ Revision: 1492349
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.12-3.mga7
+ Revision: 1264754
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.12-2.mga6
+ Revision: 950413
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 0.2.12-1.mga5
+ Revision: 794257
- imported package nodejs-burrito

